﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseDraggableMarkers.aspx.cs"
    Inherits="CSSamples.UseDraggableMarkers" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use Draggable Markers</title>

    <script type="text/javascript">

        var OnMapCreated = function(map) {
            // MarkerOverlay is the id for your SimpleMarkerOverlay
            var markerOverlay = map.getLayer('MarkerOverlay');
            document.getElementById(map.clientId).oncontextmenu = function() { return false; };
            for (var i in markerOverlay.markers) {
                var marker = markerOverlay.markers[i];
                marker.events.register('mousedown', marker, function(evt) {
                    // Right click
                    if (evt && evt.button == 2) {
                        var id = this.id;
                        // Add your popup like the code below:
                        AddPopup(this, id, this.lonlat.lon, this.lonlat.lat);
                    }
                });
            }
        }

        function AddPopup(marker, siteId, lon, lat) {
            var content = "<span class='popup'>\r\n"
            content = content + "<div>" + lon + "</div>\r\n"
            content = content + "<div>" + lat + "</div>\r\n"
            content = content + "</span>"

            olMap = Map1.GetOpenLayersMap();

            for (i in olMap.popups) {
                if (olMap.popups[i].visible && olMap.popups[i] != popup) {
                    if (olMap.popups[i].id == siteId) {
                        return;
                    }
                    else {
                        olMap.popups[i].hide();
                    }
                }
            }

            var popup = new OpenLayers.Popup.FramedCloud(siteId,
                   new OpenLayers.LonLat(parseFloat(lon), parseFloat(lat)),
                   new OpenLayers.Size(200, 200),
                   content,
                   null,
                   true);


            olMap.addPopup(popup);
            popup.hide();

            marker.events.register('mouseover', popup, function(evt) {
                popup.show();
            });

            marker.events.register('mouseout', popup, function(evt) {
                for (i in olMap.popups) {
                    if (olMap.popups[i].visible()) {
                        olMap.popups[i].hide();
                    }
                }
            });
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <cc1:Map ID="Map1" runat="server" Width="100%" Height="100%">
            </cc1:Map>
            <Description:DescriptionPanel ID="DescPanel" runat="server">
                Drag a marker to a new place.
            </Description:DescriptionPanel>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
